.button {
  padding: 0.8rem 3rem;
  border: none;
  border-radius: 10rem;
  letter-spacing: 0.05rem;
  cursor: pointer;

  &.primary {
    color: white;
    background-color: $color-primary;

    &:hover {
      background-color: darken($color-primary, 10%);
    }
  }

  &.white {
    color: $color-grey;
    background-color: white;
    border: 0.15rem solid $color-grey-lines;

    &:hover {
      background-color: $color-grey-lines;
      color: white;
    }
  }

  &.facebook {
    background-color: #3b5998;

    &:hover {
      background-color: darken(#3b5998, 8%);
    }
  }

  &.google {
    background-color: #ff6767;

    &:hover {
      background-color: darken(#ff6767, 8%);
    }
  }

  &.facebook,
  &.google {
    position: relative;
    color: white;
    width: 100%;

    .icon {
      position: absolute;
      left: 2rem;
      top: 50%;
      transform: translateY(-50%);
      font-size: 2.4rem;
    }
  }
}

.edit-button {
  border: none;
  background-color: transparent;
  margin-left: 1rem;

  fa-icon {
    color: $color-primary;
  }
}

.settings-button {
  display: inline-block;
  width: 2.5rem;
  margin-left: 1.2rem;
  transform: translateY(-0.2rem);
  cursor: pointer;

  svg {
    width: 100%;
    height: 100%;
  }
}
